Subject: Re: 26.0.50; Left fringe gets truncated by a pixel in window not sharing that edge with frame

From: martin rudalics <[email-masked]>
Date: Thu, 05 Oct 2017 10:10:55 +0200

> The screenshots attached in my previous email show the truncation arrows
 > with/without scrollbars.. they look the same in both cases to me (see
 > below, without scrollbars on left, and with, on right):
 >
 > I am using diff-hl-mode because the truncation is very evident as you see
 > in that same image.
 >

Unfortunately, I don't see any image here.

 > Oh no, can this be please fixed in emacs 26.1? I am pretty sure that people
 > using emacs without scroll bars and without window dividers are not in
 > minority. This artifact will be pretty evident to people using fringe
 > elements like in diff-hl-mode.
 >
 > @Eli: Can this be a blocker for 26.1?

This behavior has been with us ever since the vertical border has been
used for GUI frames so it hardly qualifies as a blocker for the release.

 > Should the dumps be updated with more info to help catch this?

No, thanks.

martin